﻿@*@model FoamTreeDataObject
@{
    ViewData["Title"] = "FoamTree";
}
@section Head
{
    <style>

        body, html {
            position: relative;
            height: 100%;
            margin: 0;
        }

        /** Set some preferred visualization size, but cap it to the maximum screen size */
        #visualization {
            width: 600px;
            height: 400px;
            max-width: 100%;
            max-height: 100%;
        }
    </style>
}

<!-- The element to embed FoamTree into, must have non-zero dimensions. -->
<div id="visualization"></div>

<!-- Modal -->
<div class="modal fade" id="texts-modal" tabindex="-1" role="dialog" aria-labelledby="texts-modal-tile" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modal-title">Modal title</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

            </div>
        </div>
    </div>
</div>

@section Scripts
{
    <!-- Include FoamTree implementation. -->
    <script src="~/js/carrotsearch.foamtree.js"></script>

    <!-- Include Hammer.js for mobile interactions. Not required for desktop-only apps. -->
    <script src="~/js/hammer.min.js"></script>

    <script src="~/js/tooltip.min.js"></script>

    <script>
    // Initialize FoamTree after the whole page loads to make sure
        // the element has been laid out and has non-zero dimensions.
        window.addEventListener("load", function () {
            var foamtree = new CarrotSearchFoamTree({
                // Identifier of the HTML element defined above
                id: "visualization",

                // Some data to visualize.
                dataObject: @Html.Raw(Model.ToJson())
            });
            foamtree.set({
                onGroupSelectionChanged: function (info) {
                    console.log(info);
                    if (info.groups[0]) {
                        if (info.groups[0].texts) {
                            var modal = $('#texts-modal');
                            modal.find('.modal-body').html(info.groups[0].texts.join("</br>"));
                            modal.find('.modal-title').text(info.groups[0].label);
                            modal.modal('show');
                            //window.alert(info.groups[0].label);
                        }
                        else {

                        }
                    }
              }
            });
        });
    </script>

}*@